##### cancellation_state::cancellation_state (2 of 4 overloads)

Construct and attach to a parent slot to create a new child slot.

    template<
        typename CancellationSlot>
    constexpr cancellation_state(
        CancellationSlot slot);

Initialises the cancellation state so that it allows terminal cancellation only. Equivalent to `cancellation_state(slot, enable_terminal_cancellation())`.

###### Parameters

slot

  The parent cancellation slot to which the state will be attached.